This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 595697 - Review Request: ghc-regex-tdfa - Haskell "tagged" DFA regex engine
Review Request: ghc-regex-tdfa - Haskell "tagged" DFA regex engine
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Jens Petersen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-05-25 08:02 EDT by Narasimhan
Modified: 2011-01-28 10:00 EST (History)
5 users (show)

See Also:
Fixed In Version: ghc-regex-tdfa-1.1.6-1.fc13
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-08 17:37:21 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
petersen: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)
ghc-regex-tdfa.spec-1.patch (512 bytes, patch)
2010-10-28 03:43 EDT, Jens Petersen
no flags Details | Diff

  None (edit)
Description Narasimhan 2010-05-25 08:02:37 EDT
Spec file : http://sites.google.com/site/lakshminaras2002/home/ghc-regex-tdfa.spec?attredirects=0&d=1

Source rpm : http://sites.google.com/site/lakshminaras2002/home/ghc-regex-tdfa-1.1.2-1.f13.src.rpm?attredirects=0&d=1

Hello, this is my first package submission. Kindly review the same.

I am not sure whether the version should be 13 or rawhide. I have set it to rawhide.
Comment 1 Bruno Wolff III 2010-05-25 09:35:06 EDT
I'll look at doing an unofficial review (as I am not a sponsor) Friday (when I have a day off). I need practice reviewing and if you become a packager with this package, it will make it easier for you to finish packaging ghc-hslogger.
Thanks.
Comment 2 Jens Petersen 2010-05-26 22:42:40 EDT
BTW do you have some package in mind that needs this library?
Comment 3 Narasimhan 2010-05-26 23:42:49 EDT
Hello,
Yes, I am doing some packaging for Leksah IDE and this is a requirement. Currently these are the dependencies
binary,deepseq,regex-base,regex-tdfa,binary_shared,ltk,hslogger. 

The first three are already in the repositories. If these libraries go in, it will be quicker to build leksah in the future.
Comment 4 Narasimhan 2010-07-03 04:51:33 EDT
I have generated the spec file from latest cabal2spec 0.22.1. Here is the updated spec file and source rpm. regex-tdfa is now version 1.1.3 and I have updated the spec file to pick up the latest.

http://sites.google.com/site/lakshminaras2002/home/ghc-regex-tdfa.spec?revision=9

http://sites.google.com/site/lakshminaras2002/home/ghc-regex-tdfa-1.1.3-1.f13.src.rpm?attredirects=0&d=1
Comment 5 Jens Petersen 2010-07-12 23:19:07 EDT
(In reply to comment #3)
> Yes, I am doing some packaging for Leksah IDE and this is a requirement.

OK cool.  So hope you will submit leksah later too then.

> regex-tdfa,binary_shared,ltk,hslogger. 

BTW ltk needs gtk, which is available for F13 but
not yet repackaged for F14, though there are dependent
package reviews in the queue...


I am sponsoring Lakshmi in bug 595603, so making that bug
block this for now instead.
Comment 6 Narasimhan 2010-07-15 20:15:30 EDT
Yes, i will.
OK, i will hold on till that.
Thanks very much
Comment 7 Narasimhan 2010-07-15 20:52:11 EDT
I will update the spec file and source rpm the review for bug Bug 595603 is over
Comment 8 Jens Petersen 2010-08-31 03:35:43 EDT
Feel free to continue this review when you are ready.
Comment 9 Narasimhan 2010-09-17 16:40:59 EDT
Spec file

https://sites.google.com/site/lakshminaras2002/home/ghc-regex-tdfa.spec?attredirects=0&d=1

Source rpm
https://sites.google.com/site/lakshminaras2002/home/ghc-regex-tdfa-1.1.4-1.fc13.src.rpm?attredirects=0&d=1

There has been a version update from 1.1.3 to 1.1.4

Rpmlint output
ghc-regex-tdfa.src: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

ghc-regex-tdfa.src: W: spelling-error %description -l en_US libtre -> libre, Liberec, librate
The value of this tag appears to be misspelled. Please double-check.

ghc-regex-tdfa.x86_64: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

ghc-regex-tdfa.x86_64: W: spelling-error %description -l en_US libtre -> libre, Liberec, librate
The value of this tag appears to be misspelled. Please double-check.

ghc-regex-tdfa.x86_64: W: executable-stack /usr/lib64/ghc-6.12.1/regex-tdfa-1.1.4/libHSregex-tdfa-1.1.4-ghc6.12.1.so
The binary declares the stack as executable.  Executable stack is usually an
error as it is only needed if the code contains GCC trampolines or similar
constructs which uses code on the stack.  One common source for needlessly
executable stack cases are object files built from assembler files which don't
define a proper .note.GNU-stack section.

ghc-regex-tdfa-devel.x86_64: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
The value of this tag appears to be misspelled. Please double-check.

ghc-regex-tdfa-devel.x86_64: W: spelling-error %description -l en_US libtre -> libre, Liberec, librate
The value of this tag appears to be misspelled. Please double-check.

ghc-regex-tdfa-prof.x86_64: E: devel-dependency ghc-regex-tdfa-devel
Your package has a dependency on a devel package but it's not a devel package
itself.

ghc-regex-tdfa-prof.x86_64: W: spelling-error %description -l en_US libtre -> libre, Liberec, librate
The value of this tag appears to be misspelled. Please double-check.

ghc-regex-tdfa-prof.x86_64: W: no-documentation
The package contains no documentation (README, doc, etc). You have to include
documentation files.

ghc-regex-tdfa-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.1/regex-tdfa-1.1.4/libHSregex-tdfa-1.1.4_p.a
A development file (usually source code) is located in a non-devel package. If
you want to include source code in your package, be sure to create a
development package.

4 packages and 0 specfiles checked; 1 errors, 10 warnings.
Comment 10 Jens Petersen 2010-09-19 22:56:09 EDT
(In reply to comment #5)
> I am sponsoring Lakshmi in bug 595603, so making that bug
> block this for now instead.

ghc-hslogger review is done so dropping this dependency again.
Comment 11 Jens Petersen 2010-09-19 23:13:15 EDT
Taking this one
Comment 12 Jens Petersen 2010-10-27 23:35:46 EDT
Latest version is now 1.1.6 btw.
Comment 13 Jens Petersen 2010-10-28 03:42:13 EDT
Here is the review:

 +:ok,  NA: not applicable

MUST Items:
[+] MUST: rpmlint output:

ghc-regex-tdfa.src: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
ghc-regex-tdfa.src: W: spelling-error %description -l en_US libtre -> libre, Liberec, librate
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
ghc-regex-tdfa.x86_64: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
ghc-regex-tdfa.x86_64: W: spelling-error %description -l en_US libtre -> libre, Liberec, librate
ghc-regex-tdfa.x86_64: W: executable-stack /usr/lib64/ghc-6.12.1/regex-tdfa-1.1.4/libHSregex-tdfa-1.1.4-ghc6.12.1.so
1 packages and 0 specfiles checked; 0 errors, 3 warnings.
ghc-regex-tdfa-devel.x86_64: W: spelling-error Summary(en_US) Haskell -> Gaskell, Gaitskell, Skellum
ghc-regex-tdfa-devel.x86_64: W: spelling-error %description -l en_US libtre -> libre, Liberec, librate
1 packages and 0 specfiles checked; 0 errors, 2 warnings.
ghc-regex-tdfa-prof.x86_64: E: devel-dependency ghc-regex-tdfa-devel
ghc-regex-tdfa-prof.x86_64: W: spelling-error %description -l en_US libtre -> libre, Liberec, librate
ghc-regex-tdfa-prof.x86_64: W: no-documentation
ghc-regex-tdfa-prof.x86_64: W: devel-file-in-non-devel-package /usr/lib64/ghc-6.12.1/regex-tdfa-1.1.4/libHSregex-tdfa-1.1.4_p.a
1 packages and 0 specfiles checked; 1 errors, 3 warnings.

[+] MUST: The package must be named according to the Package Naming Guidelines
[+] MUST: The spec file name must match base package %{name}
[+] MUST: The package must meet the Packaging Guidelines.
[+] MUST: The package must be licensed with a Fedora approved license and meet the Licensing Guidelines
[+] MUST: The License field in the package spec file must match the actual license.
[+] MUST: include license files in %doc if included in source
[+] MUST: The spec file must be written in American English and be legible.
[+] MUST: source md5sum matches upstream release

877a98eb70bea7be07cbd33508758b70  pkgreview/ghc-regex-tdfa/regex-tdfa-1.1.4.tar.gz

[+] MUST: must successfully compile and build into binary rpms on one main arch
[+] MUST: if necessary use ExcludeArch for other archs
[+] MUST: All build dependencies must be listed in BuildRequires
[NA] MUST: use %find_lang macro for .po translations
[NA] MUST: packages with shared library files in the dynamic linker's default paths, must call ldconfig in %post and %postun.
[+] MUST: Packages must NOT bundle copies of system libraries.
[NA] MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review
[+] MUST: A package must own all directories that it creates, or require a package which does create that directory.
[+] MUST: A package must not contain any duplicate files in the %files listing (except license files if necessary).
[+] MUST: Permissions on files must be set properly. 
[+] MUST: Each package must consistently use macros
Follows standard Haskell packaging
[+] MUST: The package must contain code, or permissable content.
[NA] MUST: Large documentation files should go in a doc subpackage.
[+] MUST: If a package includes something as %doc, it must not affect the runtime of the application.
[+] MUST: Header files must be in a -devel package.
[NA] MUST: Static libraries must be in a -static package.
[NA] MUST: If a package has library files with a suffix (e.g. libfoo.so.1.1), then library files that end in .so (without suffix) must go in a -devel package.
[+] MUST: In the vast majority of cases, devel packages must require the base package using a fully versioned dependency: Requires: %{name} = %{version}-%{release} 
[+] MUST: Packages must NOT contain any .la libtool archives, these should be removed in the spec.
[NA] MUST: Packages containing GUI applications must include a %{name}.desktop file
[+] MUST: Packages must not own files or directories already owned by other packages.
[+] MUST: All filenames in rpm packages must be valid UTF-8.

SHOULD Items:
[+] SHOULD: The reviewer should test that the package builds in mock.

http://koji.fedoraproject.org/koji/taskinfo?taskID=2561003

[+] SHOULD: The package should compile and build into binary rpms on all supported architectures.
[+] SHOULD: If scriptlets are used, those scriptlets must be sane.

APPROVED

But please fix the common_description text with the patch that follows.
Comment 14 Jens Petersen 2010-10-28 03:43:56 EDT
Created attachment 456171 [details]
ghc-regex-tdfa.spec-1.patch

Patch to touch up the description.
Comment 15 Narasimhan 2010-10-28 04:23:35 EDT
Thanks for the review.
Ok, I will fix the description. Thanks again.

Also, while importing the src rpm to the repo, shall I do it with the updated version? Or should I import the one present for review and later update it?
Comment 16 Jens Petersen 2010-10-28 06:21:36 EDT
(In reply to comment #15)
> Also, while importing the src rpm to the repo, shall I do it with the updated
> version? Or should I import the one present for review and later update it?

I think you can just import the above srpm and then tweak the description
and git add before committing: probably not worth bumping release.
Comment 17 Jens Petersen 2010-10-28 23:39:44 EDT
and yes you can bump the version at the same time after importing
the approved package.
Comment 18 Narasimhan 2010-10-29 02:52:31 EDT
New Package SCM Request
=======================
Package Name: ghc-regex-tdfa
Short Description:  A new all Haskell tagged DFA regex engine
Owners: narasim
Branches: f13 f14
InitialCC: haskell-sig
Comment 19 Fedora Update System 2010-10-30 13:55:47 EDT
ghc-tagsoup-0.11.1-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ghc-tagsoup-0.11.1-1.fc14
Comment 20 Fedora Update System 2010-10-30 13:55:53 EDT
ghc-tagsoup-0.11.1-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/ghc-tagsoup-0.11.1-1.fc13
Comment 21 Kevin Fenzi 2010-10-30 19:19:48 EDT
Git done (by process-git-requests).
Comment 22 Narasimhan 2010-10-31 06:32:12 EDT
Built for rawhide

http://koji.fedoraproject.org/koji/taskinfo?taskID=2566806
Comment 23 Fedora Update System 2010-10-31 06:39:13 EDT
ghc-regex-tdfa-1.1.6-1.fc13 has been submitted as an update for Fedora 13.
https://admin.fedoraproject.org/updates/ghc-regex-tdfa-1.1.6-1.fc13
Comment 24 Fedora Update System 2010-10-31 06:48:05 EDT
ghc-regex-tdfa-1.1.6-1.fc14 has been submitted as an update for Fedora 14.
https://admin.fedoraproject.org/updates/ghc-regex-tdfa-1.1.6-1.fc14
Comment 25 Fedora Update System 2010-10-31 17:32:38 EDT
ghc-regex-tdfa-1.1.6-1.fc14 has been pushed to the Fedora 14 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing update ghc-regex-tdfa'.  You can provide feedback for this update here: https://admin.fedoraproject.org/updates/ghc-regex-tdfa-1.1.6-1.fc14
Comment 26 Fedora Update System 2010-11-08 17:37:16 EST
ghc-regex-tdfa-1.1.6-1.fc14 has been pushed to the Fedora 14 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 27 Fedora Update System 2010-11-10 16:48:40 EST
ghc-regex-tdfa-1.1.6-1.fc13 has been pushed to the Fedora 13 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.